.\" It was originally generated by help2man 1.36.
.TH MKPROJECT "1" "[@]pkgmonth[@] [@]pkgyear[@]" "[@]pkg[@] [@]pkgversion[@]" "User Commands"
.SH NAME
[@]pkg[@] \- [@]pkgdescription[@]
.SH SYNOPSIS
.B [@]pkg[@]
[\fIOPTIONS\fR]
.TP
Example: [@]pkg[@] -s bash -t test
.SH DESCRIPTION
.PP
.B [@]pkgname[@]
is a command that makes project skeletons. 
.B [@]pkgname[@]
automatizes the task of starting a new project with the information provided from the command line. The package created by default is a
.B 'hello world'
project of the selected skeleton that is managed with autotools. There are skeletons for bash, c, c library, python, c++, c++ library and perl.
.PP
Mandatory arguments for long options are mandatory for short options too.
.TP
\fB\-l\fR, \fB\-\-list\fR
list skeletons
.TP
\fB\-s\fR, \fB\-\-skeleton\fR=\fISKELETON\fR
set skeleton type (obligatory)
.TP
\fB\-t\fR, \fB\-\-tarname\fR=\fITARNAME\fR
set tar name (obligatory)
.TP
\fB\-p\fR, \fB\-\-pkgname\fR=\fIPKGNAME\fR
set package name (full)
.TP
\fB\-d\fR, \fB\-\-description\fR=\fIDESCRIPTION\fR
set short description
.TP
\fB\-a\fR, \fB\-\-author\fR=\fIAUTHOR\fR
set full author name
.TP
\fB\-b\fR, \fB\-\-bugreport\fR=\fIBUGREPORT\fR
set bug report adress
.TP
\fB\-m\fR, \fB\-\-homepage\fR=\fIHOMEPAGE\fR
set homepage url
.TP
\fB\-n\fR, \fB\-\-dependencies\fR=\fIDEPENDENCIES\fR
set dependencies
.TP
\fB\-r\fR, \fB\-\-verbose\fR
show progress messages
.TP
\fB\-h\fR, \fB\-\-help\fR
show a help message
.TP
\fB\-v\fR, \fB\-\-version\fR
show the program version
.TP
Skeleton and Tar Name are obligatory, the rest are recommended, dependencies is optional.
.SH "EXAMPLES"
.TP
\fB1: A bash project:
.nf
$ [@]pkg[@] --skeleton=bash --tarname=test --pkgname="A test" --description="A test package for [@]pkg[@]" --author="Someone" --bugreport=noemail@network.org --homepage "http://nohomepage.org"

 let's try it:

$ cd test
$ ls 
aclocal.m4      ChangeLog     COPYING     Makefile.am  [@]pkg[@].log  src
AUTHORS         configure     INSTALL     Makefile.in  NEWS
autom4te.cache  configure.ac  install-sh  missing      README

$ cat README
A test: A test package for [@]pkg[@]

Copyright (C) [@]pkgyear[@] Someone

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

test (A test) homepage <http://nohomepage.org>

$ cat AUTHORS
Someone <noemail@network.org>

$ cat NEWS
[@]pkgyear[@]-01-01:
        * Project start

$ cat ChangeLog
[@]pkgyear[@]-01-01 Someone <noemail@network.org>
        * ChangeLog start

$ cat src/main.sh
#! /usr/bin/env bash
echo "Hello world!"

$ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for bash... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile

$ make
Making all in src
make[1]: Entering directory `test/src'
cp ./main.sh test
chmod +x test
make[1]: Leaving directory `test/src'
make[1]: Entering directory `test'
make[1]: Nothing to be done for `all-am'.
make[1]: Leaving directory `test'

$ src/test
Hello world!
.fi
.TP
\fB2: A c project:
.nf
$ [@]pkg[@] -s c -t at -p "Another test" -d "Another test for [@]pkg[@]" -a "The same one" -b "stillnoemail@network.org" -m "http://stillnohomepage.org"
 to try it:
$ cd at && ./configure && make && src/at && make distcheck
.fi
.TP
.TP
\fB3: Minimal options:
.nf
$ [@]pkg[@] -s bash -t test
.fi
.SH NOTES
To add skeletons just place them in 
.B ${prefix}/share/[@]pkg[@]/skeletons/
(
.B [@]pkg[@] skeleton
format is
.B bash source
). See actual implementations for examples. Integration is automated.
.SH AUTHOR
Written by [@]pkgauthor[@].
.SH HOMEPAGE
[@]pkg[@] ([@]pkgname[@]) home page <[@]pkghomepage[@]>.
.SH REPORTING BUGS
Report bugs to <[@]pkgbugreport[@]>.
.SH COPYRIGHT
Copyright \(co 2007-[@]pkgyear[@] [@]pkgauthor[@]
.br
This is free software.  You may redistribute copies of it under the terms of
the GNU General Public License <http://www.gnu.org/licenses/gpl.html>.
There is NO WARRANTY, to the extent permitted by law.
.SH "SEE ALSO"
The full documentation for
.B [@]pkg[@]
is maintained as a Texinfo manual.  If the
.B info
and
.B [@]pkg[@]
programs are properly installed at your site, the command
.IP
.B info [@]pkg[@]
.PP
should give you access to the complete manual.
